<!doctype html>

<html lang="fr">
<head>
	<meta charset="utf-8">
	<title>Calculette</title>
	<link rel="stylesheet" href="stylecalculette.css"/>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>


<body>

	<section class="section">
		
		<form class="form" method="" action ="">
			<input type="number" id="champ1" placeholder="champ1"> </input>
			<input type="number" id="champ2" placeholder="champ2"> </input>

		<button type="button" id="multiplier"> x </button>
		<button type="button" id="diviser"> / </button>
		<button type="button" id="additionner"> + </button>
		<button type="button" id="soustraire"> - </button>

			<output id="resultat" type="number" placeholder="resultat"></output>
		</form>

	</section>

		

		<script>
		var champ1 = document.getElementById("champ1");
		var champ2 = document.getElementById("champ2");

			document.getElementById("additionner").addEventListener("click", additionner);
			/*quand on clique sur le bouton additionner on lance la fonction qui s'appelle additionner */
				function additionner (){
					document.getElementById("resultat").value = parseFloat(champ1.value) + parseFloat(champ2.value);
			}

			document.getElementById("multiplier").addEventListener("click", multiplier);
				function multiplier (){
					document.getElementById("resultat").value = parseFloat(champ1.value) * parseFloat(champ2.value);
			}
				
			document.getElementById("soustraire").addEventListener("click", soustraire);
				function soustraire (){
					document.getElementById("resultat").value = parseFloat(champ1.value) - parseFloat(champ2.value);
			}

			document.getElementById("diviser").addEventListener("click", diviser);
				function diviser (){
					document.getElementById("resultat").value = parseFloat(champ1.value) / parseFloat(champ2.value);
			}

		</script>



</body>

</html>
